FileStorageServiceOffering:
    subClassOf: ['gax-trust-framework:StorageServiceOffering']
    prefix: 'gax-trust-framework'
    attributes:
    -   title: 'fileSystemType'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'
        cardinality: '0..*'
        description: "Filesystem Type  for storage  partition  Ref:https://opensource.com/article/18/4/ext4-filesystem"
        exampleValues: ['EXT3', 'EXT4', 'FAT32', 'NTFS','NULL']

    -   title: 'fileBlockSize'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:decimal'
        cardinality: '0..*'
        description: "Block size of block, file or object store"
        exampleValues: [ '1024','4096' ]

    -   title: 'fileRedundancyMechanism'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'
        cardinality: '0..*'
        description: "Underlying data protection mechanism. Some example are - Triplication creates three copies in three different protection domains. Some
                      references are here - https://en.wikipedia.org/wiki/Erasure_code, https://en.wikipedia.org/wiki/RAID"
        exampleValues: ['RAID-1', 'RAID-5']

    -   title: 'highLevelAccessProtocol'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'
        cardinality: '0..*'
        description: "Underlying higher level access protocol,
                     These mainly refer to access methods such as NFS (Network File System), Common Internet File System (CIFS) and Hadoop File System (HDFS)"
        exampleValues: ['NFS', 'CIFS', 'HDFS', 'Unspecified']
